Skip to content

Msp License ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
assignAvailableLicenseForMspGETGet available assign license info
assignmentLicenseForMspPOSTAssign license to a customer
getAutoActive_2GETGet license auto active
modifyAutoActive_1POSTModify license auto active
getAutoActive_1GETGet available recycle license info
recycleLicenseForMspPOSTRecycle license from a customer
getUsedLicenseForMspGETGet used license info list for assign or recycle license

assignAvailableLicenseForMsp ​

GET /openapi/v1/msp/{mspId}/license/assign

Get available assign license info

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "assignAvailableLicenseForMsp"
}
Details, permissions and error codes

Get available assign license info.
The interface requires one of the permissions:
MSP License Manager View Only

assignmentLicenseForMsp ​

POST /openapi/v1/msp/{mspId}/license/assign

Assign license to a customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema LicenseAssignmentOpenApiVO

FieldTypeRequiredDescription
customerIdstringyesCustomer ID
licenseNumarray<LicenseNumOpenApiVO>yesLicense num
othersLicenseOthersIdsOpenApiVOyes(LicenseOthersIdsOpenApiVO not expanded; call omada_get_schema "LicenseOthersIdsOpenApiVO")
json
// omada_call_operation
{
  "operationId": "assignmentLicenseForMsp",
  "body": "{...}"
}
Details, permissions and error codes

Assign license to a customer.
The interface requires one of the permissions:
MSP License Manager Modify

getAutoActive_2 ​

GET /openapi/v1/msp/{mspId}/license/auto-active

Get license auto active

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getAutoActive_2"
}
Details, permissions and error codes

Get license auto active.
The interface requires one of the permissions:
MSP License Manager View Only

modifyAutoActive_1 ​

POST /openapi/v1/msp/{mspId}/license/auto-active

Modify license auto active

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema LicenseAutoActiveOpenApiVO

FieldTypeRequiredDescription
autoActivebooleanyes
json
// omada_call_operation
{
  "operationId": "modifyAutoActive_1",
  "body": "{...}"
}
Details, permissions and error codes

Modify license auto active.
The interface requires one of the permissions:
MSP Bind/Unbind License Manager Modify

getAutoActive_1 ​

GET /openapi/v1/msp/{mspId}/license/recycle

Get available recycle license info

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdquerystringyesCustomer ID
json
// omada_call_operation
{
  "operationId": "getAutoActive_1",
  "params": {
    "customerId": "<customerId>"
  }
}
Details, permissions and error codes

Get available recycle license info.
The interface requires one of the permissions:
MSP License Manager View Only

recycleLicenseForMsp ​

POST /openapi/v1/msp/{mspId}/license/recycle

Recycle license from a customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema LicenseRecycleOpenApiVO

FieldTypeRequiredDescription
customerIdstringyesCustomer ID
licenseNumarray<LicenseNumOpenApiVO>yesLicense num
othersLicenseOthersIdsOpenApiVOyes(LicenseOthersIdsOpenApiVO not expanded; call omada_get_schema "LicenseOthersIdsOpenApiVO")
json
// omada_call_operation
{
  "operationId": "recycleLicenseForMsp",
  "body": "{...}"
}
Details, permissions and error codes

Recycle license from a customer.
The interface requires one of the permissions:
MSP License Manager Modify

getUsedLicenseForMsp ​

GET /openapi/v1/msp/{mspId}/license/used

Get used license info list for assign or recycle license

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdquerystringyesCustomer ID
categoryquerystringyesIt should be a value as follows: basic; ap; l2Switch; l3Switch; gateway
assignquerybooleanyesAssign license: true; recycle license: false
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getUsedLicenseForMsp",
  "params": {
    "customerId": "<customerId>",
    "category": "<category>",
    "assign": "<assign>"
  }
}
Details, permissions and error codes

Get used license info list for assign or recycle license.
The interface requires one of the permissions:
MSP License Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.